ibase_restore
ibase_rollback
Firebird/InterBase Functions
PHP Manual

# ibase_rollback_ret

(PHP 5)

ibase_rollback_ret — Roll back a transaction without closing it

### Description

bool ibase_rollback_ret ([ resource `$link_or_trans_identifier` = NULL ] )

Rolls back a transaction without closing it.

### Parameters

`link_or_trans_identifier`

  If called without an argument, this function rolls back the default transaction of the default link. If the argument is a connection identifier, the default transaction of the corresponding connection will be rolled back. If the argument is a transaction identifier, the corresponding transaction will be rolled back. The transaction context will be retained, so statements executed from within this transaction will not be invalidated.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ibase_restore
ibase_rollback
Firebird/InterBase Functions
PHP Manual